--- title: "Get server type" slug: "analytics-vpcsearchengine-cluster-getnodeproductlist" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-cluster-getnodeproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get server type Available in VPC Get available node server types. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/cluster/getNodeProductList (Korea Region) | | GET | /api/sgn-v2/cluster/getNodeProductList (Singapore Region) | | GET | /api/jpn-v2/cluster/getNodeProductList (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `softwareProductCode` | String | Required | Operating system type code - See [Get operating system type](/docs/en/analytics-vpcsearchengine-cluster-getosproductlist). | | `subnetNo` | Integer | Required | Subnet number - See [Get subnet list](/docs/en/analytics-vpcsearchengine-cluster-getsubnetlist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getNodeProductList?softwareProductCode=SW.VELST.OS.LNX64.ROCKY.0808.B050&subnetNo=20****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.productList` | Array | - | Server type list: [productList](/docs/en/analytics-vpcsearchengine-cluster-getnodeproductlist#productList) | | `requestId` | String | - | ID for the request - UUID format | #### `productList` The following describes `productList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `productCode` | String | - | Server type code | | `productName` | String | - | Server type name | | `productType2Code` | String | - | Server classification | | `productEnglishDesc` | String | - | Server description | | `infraResourceTypeCode` | String | - | Infrastructure resource type | | `cpuCount` | String | - | Number of CPUs | | `memorySize` | Integer | - | Memory size (byte) | | `diskType2Code` | String | - | Disk type | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "productList": [ { "productCode": "SVR.VELST.STAND.C002.M008.NET.SSD.B050.G002", "productName": "[STAND] 2 vCPUs, 8 GB memory, 50 GB [SSD] disk", "productType2Code": "STAND", "productEnglishDesc": "[STAND] vCPU 2EA, Memory 8GB, [SSD]Disk 50GB", "infraResourceTypeCode": "VELST", "cpuCount": "2", "memorySize": 8589934592, "diskType2Code": "NET" }, { "productCode": "SVR.VELST.STAND.C004.M016.NET.SSD.B050.G002", "productName": "[STAND] 4 vCPUs, 16 GB memory, 50 GB [SSD] disk", "productType2Code": "STAND", "productEnglishDesc": "[STAND] vCPU 4EA, Memory 16GB, [SSD]Disk 50GB", "infraResourceTypeCode": "VELST", "cpuCount": "4", "memorySize": 17179869184, "diskType2Code": "NET" }, { "productCode": "SVR.VELST.STAND.C008.M032.NET.SSD.B050.G002", "productName": "[STAND] 8 vCPUs, 32 GB memory, 50 GB [SSD] disk", "productType2Code": "STAND", "productEnglishDesc": "[STAND] vCPU 8EA, Memory 32GB, [SSD]Disk 50GB", "infraResourceTypeCode": "VELST", "cpuCount": "8", "memorySize": 34359738368, "diskType2Code": "NET" }, ... ] }, "requestId": "a2899a58-****-****-****-e70cd38728e4" } ```